package com.supervision.domain;

import com.baomidou.mybatisplus.annotation.*;

import java.io.Serializable;
import java.time.LocalDateTime;
import lombok.Data;

/**
 * 数字人对话日志
 * @TableName digital_human_dialogue_log
 */
@TableName(value ="digital_human_dialogue_log")
@Data
public class DigitalHumanDialogueLog implements Serializable {
    /**
     * 主键
     */
    @TableId
    private String id;

    /**
     * 数字人id
     */
    private String digitalHumanId;

    /**
     * 用户id
     */
    private String userId;

    /**
     * 用户输入
     */
    private String userInput;

    /**
     * 系统输出
     */
    private String systemOut;

    /**
     * 耗时
     */
    private String timeCost;

    /**
     * 回答内容类型 0：正常回答 1：异常回答 2：忽略回答  3：主动打招呼
     */
    private String answerType;

    /**
     * 创建时间
     */
    @TableField(fill = FieldFill.INSERT)
    private LocalDateTime createTime;

    /**
     * 更新时间
     */
    @TableField(fill = FieldFill.INSERT_UPDATE)
    private LocalDateTime updateTime;

    @TableField(exist = false)
    private static final long serialVersionUID = 1L;
}