package com.supervision.service;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.supervision.dto.AgentChatReqDTO;
import com.supervision.dto.AgentInfoDTO;
import com.supervision.dto.ChatResponseDTO;
import reactor.core.publisher.Flux;

public interface AgentService {

    /**
     * 流式智能体问答
     * @param agentChatReqDTO agentChatReqDTO
     * @return
     */
    Flux<ChatResponseDTO> streamChat(AgentChatReqDTO agentChatReqDTO);

    /**
     * 分页查询智能体信息
     * @param page
     * @param pageSize
     * @return
     */
    IPage<AgentInfoDTO> pageList(Integer page, Integer pageSize);
}
