package com.supervision.service;

import org.springframework.ai.chat.model.ChatResponse;

public class ThinkTagState {
    private boolean inThink = false;
    private final StringBuilder buffer = new StringBuilder();

    private ChatResponse chatResponse;

    public ThinkTagState() {
        System.out.println("ThinkTagState initialized");
    }

    public ThinkTagState process(String chunk) {
        StringBuilder output = new StringBuilder();
        String remaining = chunk;

        while (!remaining.isEmpty()) {
            if (!inThink) {
                int startIdx = remaining.indexOf("<think>");
                if (startIdx == -1) {
                    output.append(remaining);
                    break;
                }
                output.append(remaining.substring(0, startIdx));
                inThink = true;
                remaining = remaining.substring(startIdx + "<think>".length());
            } else {
                int endIdx = remaining.indexOf("</think>");
                if (endIdx == -1) {
                    break; // 等待后续分块
                }
                inThink = false;
                remaining = remaining.substring(endIdx + "</think>".length());
            }
        }

        buffer.append(output);
        return this;
    }

    public String getFilteredText() {
        return buffer.toString();
    }

    public ChatResponse getChatResponse() {
        return chatResponse;
    }

    public void setChatResponse(ChatResponse chatResponse) {
        this.chatResponse = chatResponse;
    }
}
