package com.supervision;

import com.hankcs.hanlp.seg.common.Term;
import com.hankcs.hanlp.tokenizer.StandardTokenizer;
import com.supervision.domain.SysByteArray;
import com.supervision.service.SysByteArrayService;
import lombok.extern.slf4j.Slf4j;
import org.junit.jupiter.api.Test;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.boot.test.context.SpringBootTest;

@Slf4j
@SpringBootTest
public class PlatformApplicationTest {

    @Autowired
    private SysByteArrayService sysByteArrayService;
    @Test
    void saveByteArray() {
        SysByteArray sysByteArray = new SysByteArray();
        sysByteArray.setBytes(new byte[]{1,2,3});
        boolean save = sysByteArrayService.save(sysByteArray);
        System.out.println("保存结果: " + save);
    }

    @Test
    void queryByteArray() {
        SysByteArray sysByteArray = sysByteArrayService.getById("1945676008645058562");
        log.info("查询结果: {}", sysByteArray);
    }

    @Test
    void isQuestionTest() {
        String sentence = "你是谁";

        boolean isQuestion = isQuestion(sentence);
        System.out.println("是否是问句: " + isQuestion);
    }
    private boolean isQuestion(String sentence) {
        String[] questionWords = {"什么", "为什么", "如何", "哪", "谁", "多少", "是否", "能否", "是不是"};
        String[] questionEndings = {"吗", "呢", "？", "?"};

        // 结尾判断
        for (String end : questionEndings) {
            if (sentence.trim().endsWith(end)) {
                return true;
            }
        }
        // 分词判断
        for (Term term : StandardTokenizer.segment(sentence)) {
            for (String qw : questionWords) {
                if (term.word.equals(qw)) {
                    return true;
                }
            }
        }
        return false;
    }
}
